Package org.eclipse.emf.compare.ide.ui.internal.treecontentmanager

# Class EMFCompareDeferredTreeContentManagerUtil

java.lang.Object
org.eclipse.emf.compare.ide.ui.internal.treecontentmanager.EMFCompareDeferredTreeContentManagerUtil

public final class EMFCompareDeferredTreeContentManagerUtil extends Object
Util Class for handling `EMFCompareDeferredTreeContentManagerProvider` service.

## Method Summary

Modifier and Type
Method
Description
`static EMFCompareDeferredTreeContentManager`
`createEMFDeferredTreeContentManager(org.eclipse.jface.viewers.AbstractTreeViewer viewer)`
Uses the `EMFCompareDeferredTreeContentManagerProvider` service to create an `EMFCompareDeferredTreeContentManager`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### createEMFDeferredTreeContentManager

public static EMFCompareDeferredTreeContentManager createEMFDeferredTreeContentManager(org.eclipse.jface.viewers.AbstractTreeViewer viewer)
Uses the `EMFCompareDeferredTreeContentManagerProvider` service to create an `EMFCompareDeferredTreeContentManager`.

Parameters:
  `viewer` - The viewer with which the `EMFCompareDeferredTreeContentManager` is created.
Returns:
  The created `EMFCompareDeferredTreeContentManager`.